<!DOCTYPE html>
<html>
  <head>
    <title>iOS</title>
    <meta charset="UTF-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<meta http-equiv="X-UA-Compatible" content="ie=edge" />


<link rel="stylesheet" href="/css/bootstrap.min.css"/>
<link rel="stylesheet" href="/css/layouts/main.css"/>
<link rel="stylesheet" href="/css/navigators/navbar.css"/>
<link rel="stylesheet" href="/css/plyr.css"/>
<link rel="stylesheet" href="/css/flag-icon.min.css"/>


<link rel="stylesheet" href="/google-fonts/Mulish/mulish.css"/>


<link rel="stylesheet" href="/fontawesome/css/all.min.css"/>



<link rel="stylesheet" href="/css/colortheme/colortheme.css"/>





  

  
  
  
    
  
  

  <link rel="icon" type="image/png" href="/images/site/favicon_huccf2ea57578b6a54fde1e0584eaf0bfd_58386_42x0_resize_box_3.png" />

<meta property="og:title" content="iOS" />
<meta property="og:description" content="Em 2011, quando eu ainda era pré-adolescente, ganhei meu primeiro iPhone (iPhone 3G usado do meu pai).
Como sempre me interessei por Segurança da Informação, não demorou muito até que começasse a procurar vulnerabilidades nele.
Eu lembro do dia que vi um vídeo do @videosdebarraquito e fiquei impressionado com a possibilidade de burlar a tela de login, obter informações e executar ações dentro do sistema do celular.
Esse foi o vídeo que me inspirou a procurar vulnerabilidades: https://www." />
<meta property="og:type" content="article" />
<meta property="og:url" content="http://192.168.15.28/accomplishments/ios/" /><meta property="article:section" content="accomplishments" />
<meta property="article:published_time" content="2022-12-28T13:15:49-03:00" />
<meta property="article:modified_time" content="2022-12-28T13:15:49-03:00" />



    
    
<meta name="description" content="iOS" />
<link
  rel="stylesheet"
  href="https://cdnjs.cloudflare.com/ajax/libs/highlight.js/9.18.1/styles/atom-one-dark.min.css"
/>
<link rel="stylesheet" href="/css/layouts/single.css"/>
<link rel="stylesheet" href="/css/navigators/sidebar.css">

<link rel="stylesheet" href="/css/style.css"/>



    




</head>

  <body data-spy="scroll" data-target="#TableOfContents" data-offset="80">
    <div class="container-fluid bg-dimmed wrapper">
      
      
    





  


  




  
  
    
  
  



  
  
    
  
  


<nav class="navbar navbar-expand-xl top-navbar final-navbar shadow">
  <div class="container">
      <button class="navbar-toggler navbar-light" id="sidebar-toggler" type="button" onclick="toggleSidebar()">
      <span class="navbar-toggler-icon"></span>
    </button>
    <a class="navbar-brand" href="/">
      
        <img src="/images/site/main-logo_huccf2ea57578b6a54fde1e0584eaf0bfd_58386_42x0_resize_box_3.png" alt="Logo">
      Darwin&#39;s Blog</a>
    <button class="navbar-toggler navbar-light" id="toc-toggler" type="button" onclick="toggleTOC()">
      <span class="navbar-toggler-icon"></span>
    </button>

    <div class="collapse navbar-collapse lang-selector" id="top-nav-items">
      <ul class="navbar-nav ml-auto">
      
      
        <li class="nav-item dropdown">

<div id="theme-initialization" style="display: none;"
  default-theme="system"></div>
<a class="nav-link dropdown-toggle"  href="#" id="themeSelector" role="button"
  data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
  <img id="navbar-theme-icon-svg" src="/icons/moon-svgrepo-com.svg" width=20>
</a>
<div class="dropdown-menu dropdown-menu-icons-only" aria-labelledby="themeSelector">
  <a class="dropdown-item nav-link" href="#" onclick="enableLightTheme()">
    <img class="menu-icon-center" src="/icons/sun-svgrepo-com.svg" width=20>
  </a>
  <a class="dropdown-item nav-link" href="#" onclick="enableDarkTheme()">
    <img class="menu-icon-center" src="/icons/moon-svgrepo-com.svg" width=20>
  </a>
  <a class="dropdown-item nav-link" href="#" onclick="useSystemTheme()">
    <img class="menu-icon-center" src="/icons/computer-svgrepo-com.svg" width=20>
  </a>
</div>
</li>
      
      </ul>
    </div>
  </div>
  
  
    <img src="/images/site/main-logo_huccf2ea57578b6a54fde1e0584eaf0bfd_58386_42x0_resize_box_3.png" class="d-none" id="main-logo" alt="Logo">
  
  
    <img src="/images/site/inverted-logo_huccf2ea57578b6a54fde1e0584eaf0bfd_58386_42x0_resize_box_3.png" class="d-none" id="inverted-logo" alt="Inverted Logo">
  
</nav>



      
      
  <section class="sidebar-section" id="sidebar-section">
    <div class="sidebar-holder">
      <div class="sidebar" id="sidebar">
        <form class="mx-auto" method="get" action="/search">
          <input type="text" name="keyword" value="" placeholder="Busca" data-search="" id="search-box" />
        </form>
        <div class="sidebar-tree">
          <ul class="tree" id="tree">
            <li id="list-heading"><a href="/posts" data-filter="all">Posts</a></li>
            <div class="subtree">
                

            </div>
          </ul>
        </div>
      </div>
    </div>
  </section>


      
      
<section class="content-section" id="content-section">
  <div class="content">
    <div class="container p-0 read-area">
      
      <div class="hero-area col-sm-12" id="hero-area" style='background-image: url(/images/default-hero.jpg);'>
      </div>

      
      <div class="page-content">
        <div class="author-profile ml-auto align-self-lg-center">
          <img class="rounded-circle" src='/images/author/darwin_huccf2ea57578b6a54fde1e0584eaf0bfd_58386_120x120_fit_box_3.png' alt="Author Image">
          <h5 class="author-name">Darwin Brandão</h5>
          <p>December 28, 2022</p>
        </div>

        <div class="title">
          <h1>iOS</h1>
        </div>
        
        <div class="taxonomy-terms">
            <ul>
            
          </ul>
        </div>
        
        <div class="post-content" id="post-content">
          <p>Em 2011, quando eu ainda era pré-adolescente, ganhei meu primeiro iPhone (iPhone 3G usado do meu pai).</p>
<p>Como sempre me interessei por Segurança da Informação, não demorou muito até que começasse a procurar vulnerabilidades nele.</p>
<p>Eu lembro do dia que vi um vídeo do <a href="https://www.youtube.com/@videosdebarraquito" target="_blank">
  @videosdebarraquito
</a>
 e fiquei impressionado com a possibilidade de burlar a tela de login, obter informações e executar ações dentro do sistema do celular.</p>
<p>Esse foi o vídeo que me inspirou a procurar vulnerabilidades:
<a href="https://www.youtube.com/watch?v=MDkLpj3MM-c" target="_blank">
  https://www.youtube.com/watch?v=MDkLpj3MM-c
</a>
</p>
<p>Após passar uns dias tentando reproduzir a vulnerabilidade, comecei a encontrar variações da mesma. E, como o passar dos meses, fui encontrando novas vulnerabilidades e as compartilhando com o @videosdebarraquito via Twitter.</p>
<h2 id="vulnerabilidades-encontradas">Vulnerabilidades Encontradas</h2>
<p>Aqui está a playlist com todas os bugs e vulnerabilidades que encontrei no iOS:
<div class="embed video-player">
	<iframe width="560" height="315" src="https://www.youtube-nocookie.com/embed/videoseries?controls=0&amp;list=PLZgBtraffnKEvpl2V863NIQi2JkKaYOa9" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture" style="display: block; margin-left: auto; margin-right: auto; width: 560;" allowfullscreen></iframe>
</div>

(<a href="https://www.youtube.com/playlist?list=PLZgBtraffnKEvpl2V863NIQi2JkKaYOa9" target="_blank">
  https://www.youtube.com/playlist?list=PLZgBtraffnKEvpl2V863NIQi2JkKaYOa9
</a>
)</p>
<p>Vale a pena notar que em um dos vídeos eu utilizo a Siri no iPhone 3G, o que não seria possível se não fosse pelos pacotes não oficiais que existiam no Cydia. A Siri foi lançada no iPhone 4, não haviam pacotes oficiais para instalar nos 3Gs.</p>
<h2 id="mídia">Mídia</h2>
<p>Fui citado duas vezes em um blog sobre produtos da Apple:</p>
<ul>
<li>
<p><a href="http://www.movidaapple.com/blog/2013/06/11/encuentran-una-nueva-manera-de-saltarse-el-codigo-de-bloqueo-del-iphone-en-ios-6-1-3-video/" target="_blank">
  Encuentran una nueva manera de saltarse el codigo de bloqueo del iPhone en iOS 6.1.3 [video]
</a>
</p>
</li>
<li>
<p><a href="http://www.movidaapple.com/blog/2013/07/18/logran-saltarse-la-clave-de-bloqueo-del-iphone-usando-siri-en-ios-6-1-3-video/" target="_blank">
  Logran saltarse la clave de bloqueo del iPhone usando Siri en iOS 6.1.3 [video]
</a>
</p>
</li>
</ul>

        </div>

        
        <div class="row pl-3 pr-3">
        
        <div class="col-md-6 share-buttons">
        
            <strong>Compartilhar em:</strong>
            
            <a class="btn btn-sm facebook-btn" href="https://www.facebook.com/sharer.php?u=http%3a%2f%2f192.168.15.28%2faccomplishments%2fios%2f" target="_blank">
              <i class="fab fa-facebook"></i>
            </a>
            
            
                <a class="btn btn-sm twitter-btn" href="https://twitter.com/share?url=http%3a%2f%2f192.168.15.28%2faccomplishments%2fios%2f&text=iOS&via=Darwin%27s%20Blog" target="_blank">
                  <i class="fab fa-twitter"></i>
                </a>
            
            
                <a  class="btn btn-sm reddit-btn" href="https://reddit.com/submit?url=http%3a%2f%2f192.168.15.28%2faccomplishments%2fios%2f&title=iOS" target="_blank">
                  <i class="fab fa-reddit"></i>
                </a>
            
            
                <a class="btn btn-sm tumblr-btn" href="https://www.tumblr.com/share/link?url=http%3a%2f%2f192.168.15.28%2faccomplishments%2fios%2f&name=iOS" target="_blank">
                  <i class="fab fa-tumblr"></i>
                </a>
            
            
                <a class="btn btn-sm pocket-btn" href="https://getpocket.com/save?url=http%3a%2f%2f192.168.15.28%2faccomplishments%2fios%2f&title=iOS" target="_blank">
                  <i class="fab fa-get-pocket"></i>
                </a>
            
            
                <a class="btn btn-sm linkedin-btn" href="https://www.linkedin.com/shareArticle?url=http%3a%2f%2f192.168.15.28%2faccomplishments%2fios%2f&title=iOS" target="_blank">
                  <i class="fab fa-linkedin"></i>
                </a>
            
            
                <a class="btn btn-sm diaspora-btn" href="https://share.diasporafoundation.org/?title=iOS&url=http%3a%2f%2f192.168.15.28%2faccomplishments%2fios%2f" rel="nofollow" target="_blank">
                  <i class="fab fa-diaspora"></i>
                </a>
            
             
                <a class="btn btn-sm mastodon-btn" href="https://mastodon.social/share?text=iOS - http%3a%2f%2f192.168.15.28%2faccomplishments%2fios%2f" target="_blank">
                  <i class="fab fa-mastodon"></i>
                </a>
            
            
                 <a class="btn btn-sm whatsapp-btn" href="https://api.whatsapp.com/send?text=iOS http%3a%2f%2f192.168.15.28%2faccomplishments%2fios%2f" target="_blank">
                  <i class="fab fa-whatsapp"></i>
                </a>
            
            
                <a class="btn btn-sm email-btn" href="mailto:?subject=iOS&body=http%3a%2f%2f192.168.15.28%2faccomplishments%2fios%2f" target="_blank">
                  <i class="fas fa-envelope-open-text"></i>
                </a>
            
          
          </div>

        
        
          
            
          
          <div class="col-md-6 btn-improve-page">
             
               <a href="https://gitlab.com/darwin.brandao/personal-blog/edit/main/content/accomplishments/ios/index.md" title="Melhorar esta página" target="_blank" rel="noopener">
            
                <i class="fas fa-code-branch"></i>
                Melhorar esta página
              </a>
          </div>
        
        </div>



      
      <hr />
        












<div class="row next-prev-navigator">
  
  
</div>

      <hr />

      
      

      
      

      </div>
    </div>
  </div>
  
  <a id="scroll-to-top" class="btn"><i class="fas fa-chevron-circle-up"></i></a>
  
</section>


      
      
  <section class="toc-section" id="toc-section">
    
    <div class="toc-holder">
      <h5 class="text-center pl-3">Conteúdo</h5>
      <hr>
      <div class="toc">
        <nav id="TableOfContents">
  <ul>
    <li><a href="#vulnerabilidades-encontradas">Vulnerabilidades Encontradas</a></li>
    <li><a href="#mídia">Mídia</a></li>
  </ul>
</nav>
      </div>
    </div>
    
  </section>

    </div>

    
    













  
  
    
  

  
  
    
  

  
  

  
  
    
    
      
    
  


  
  
  
    
  

  
  
  

  
  
  
    
  
  

  
  
  

  <footer id="footer" class="container-fluid text-center align-content-center footer pb-2">
    <div class="container pt-5">
      <div class="row text-left">
        
        <div class="col-md-4 col-sm-12">
          <h5>Navegação</h5>
          
          <ul>
              
                
                
                  
                
                <li class="nav-item">
                  <a class="smooth-scroll" href="http://192.168.15.28#about">Sobre</a>
                </li>
              
              
                
                
                  
                
                <li class="nav-item">
                  <a class="smooth-scroll" href="http://192.168.15.28#skills">Habilidades</a>
                </li>
              
              
                
                
                  
                
                <li class="nav-item">
                  <a class="smooth-scroll" href="http://192.168.15.28#experiences">Experiência</a>
                </li>
              
              
                
                
                  
                
                <li class="nav-item">
                  <a class="smooth-scroll" href="http://192.168.15.28#education">Educação</a>
                </li>
              
              
                
                
                  
                
                <li class="nav-item">
                  <a class="smooth-scroll" href="http://192.168.15.28#projects">Projetos</a>
                </li>
              
              
              
                
                
                  
                
                <li class="nav-item">
                  <a class="smooth-scroll" href="http://192.168.15.28#accomplishments">Realizações</a>
                </li>
              
              
                
                
                  
                
                <li class="nav-item">
                  <a class="smooth-scroll" href="http://192.168.15.28#recent-posts">Blog Posts</a>
                </li>
              
              
            
              
            
          </ul>
          
        </div>
        
        
        <div class="col-md-4 col-sm-12">
          <h5>Entre em contato:</h5>
          <ul>
            
              
                <li><a href=mailto:darwin.brandao@gmail.com target="_blank" rel="noopener">
                  <span><i class="fas fa-envelope"></i></span> <span>darwin.brandao@gmail.com</span>
                </a></li>
              
            
              
                <li><a href=https://gitlab.com/darwin.brandao target="_blank" rel="noopener">
                  <span><i class="fab fa-gitlab"></i></span> <span>darwin.brandao</span>
                </a></li>
              
            
          </ul>
        </div>
        
        <div class="col-md-4 col-sm-12">
        
        
	    
            
              
                <h5>Telegram Newsletter</h5>
		<a href="https://t.me/blogdarwinbrandao" class="btn " target="_blank" style="width: 100%; background-color: #2481cc; color: #ffffff; margin-top: 10px;">
		  <img src="/media/telegram/Logo.png" width="25" height="25" />
		  <b>&nbsp;Entrar no Canal</b>
		</a>
            
         </div>

      </div>
    </div>
    
    <hr />
    <div class="container">
      <p id="disclaimer"><strong>Aviso de Responsabilidade:</strong> Esse tema está sob a licença MIT. Então, você pode utilizá-lo para fins comerciais, não-comerciais e privados. Você pode modificar e/ou  distribuir esse tema sem pedir qualquer permissão ao autor do mesmo. Entretanto, o autor do tema não provê nenhuma garantia ou assume qualquer responsabilidade sobre qualquer problema com esse tema. Link para o tema original: <a href="https://github.com/hugo-toha/toha" target="_blank">
  https://github.com/hugo-toha/toha
</a></p>
    </div>
    
    
    <hr />
    <div class="container">
      <div class="row text-left">
        <div class="col-md-4">
          <a id="theme" href="https://github.com/hossainemruz/toha" target="_blank" rel="noopener">
            <img src="/images/theme-logo_hu8376fd15465fef26ffe66b6bcf0ca686_13669_32x0_resize_box_3.png" alt="Toha Theme Logo">
            Toha
          </a>
        </div>
        <div class="col-md-4 text-center">© 2022 Copyright.</div>
        <div class="col-md-4 text-right">
          <a id="hugo" href="https://gohugo.io/" target="_blank" rel="noopener">Construído com
          <img
            src="/images/hugo-logo.svg"
            alt="Hugo Logo"
            height="18"
          />
          </a>
        </div>
      </div>
    </div>
    
  </footer>


    <script type="text/javascript" src="/js/jquery-3.4.1.min.js"></script>
<script type="text/javascript" src="/js/popper.min.js"></script>
<script type="text/javascript" src="/js/bootstrap.min.js"></script>

<script type="text/javascript" src="/js/navbar.js"></script>
<script type="text/javascript" src="/js/plyr.js"></script>
<script type="text/javascript" src="/js/main.js"></script>



<script type="text/javascript" src="/js/darkreader.js"></script>
<script type="text/javascript" src="/js/darkmode-darkreader.js"></script>



    
    
<script src="https://cdnjs.cloudflare.com/ajax/libs/highlight.js/9.18.1/highlight.min.js"></script>
<script src="/js/single.js"></script>
<script>
  hljs.initHighlightingOnLoad();
</script>









    
</body>
</html>
